> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a single user

> Returns a specific user given a userId and any active workflows associated with the user.




## OpenAPI

````yaml get /users/{userId}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /users/{userId}:
    get:
      summary: Retrieve a single user
      description: >-
        Returns a specific user given a userId and any active workflows
        associated with the user.
      operationId: get-a-user
      parameters:
        - name: userId
          in: path
          description: >-
            The Id of the user you want to lookup. Returned from the Create User
            endpoint. Note: you can also use the Embedded user's `username` in
            this field.
          schema:
            type: string
          required: true
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  userId:
                    type: string
                    example: 6323d7c9122ae69742a5d0a2
                  fullName:
                    type: string
                    example: Gregg Mojica
                  username:
                    type: string
                    example: support@runalloy.com
                required:
                  - userId
                  - fullName
                  - username
              examples:
                Result:
                  value:
                    userId: 6323d7c9122ae69742a5d0a2
                    fullName: Gregg Mojica
                    username: support@runalloy.com
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````